Subject: RE: pwe3 Digest, Vol 5, Issue 22

From: "Kujur, Amulya Rajeev (Amulya)" <[email-masked]>
Date: Thu, 23 Sep 2004 14:43:45 +0530

Luca,
this w.r.t. queries asked for clarification for n-to-1 atm cell mode encap.
n-to-1 atm encap where n=1 has no issues with current pwe3-control-protocol
draft.
but n-to-1 atm encap over single pw would require control plane signaling
to setup multiple attachment circuits to pw.

without the control plane signaling the configuration becomes tedious
because VPI/VCI from multiple ATM interfaces on local and remote PE
needs to be mapped to PWID. Hence unique VPI/VCI on the PWID(VC label)
has to be exchanged between the 2 PEs. Otherwise maintaining VPI/VCI per
PWID is difficult using manual configuration.

The same applies to perform maintenance of the attachment circuits over PW.

Here is our proposed enhancement to the pwe3-control-protocol draft to do
the
attachment circuits maintenance for multiple VCs as per PW Status procedures
for out-of-band mechanism.

Please give your inputs. We need to take care of attachment circuit setup
signaling to exchange VPI/VCI (DLCI/VLAN Ids) etc to reduce configuration
overheads.

thanks

Amulya

Agiwal, Manoj (Manoj) wrote:

>Hi ,
>        This is w.r.t to ATM pseudowires , I wanted some clarification as
to
>usage of Generalized FEC TLV .
>
>      1.  Does the current draft-ietf-pwe3-control-protocol-08.txt takes
>care of support n to 1 cell mode of encapsulation .
>
>  
>
only n=1 mode is defined. There is no definition for more then one ATM 
VC into one PW.

>       2. Generalised FEC element has SAI and DAI  , Can SAI and DAI
>identify Atachment circuit at the end points .
>
>  
>
>       3.  In case multiple circuits are getting mapped to a pseudowire  ,
>Is it possible that label mapping message which 
>           carries the psedowire label , can be same for different pairs of
>< SAI and DAI > which needs to be mapped to
>           a pseudowire and therby supporting n to 1 cell mode of
>encapsulation .
>
>  
>
no.

>      4.  In case a particular Attachment Circuit goes inactive can the
>Status message be used along with Generalised FEC to 
>           inform the remote end which Attachment Circuit has gone down.
>
>
>  
>
Yes , the document clearly indicates this.

Luca

>Regards ,
>Manoj
>
>       
>
>        
>
>
>        
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3
>
>  
>